Quote Material With Make Method Id

The quote material with make method id resource.

Basehttps://rest.carbon.ms/quoteMaterialWithMakeMethodId
GET/quoteMaterialWithMakeMethodId

List quote material with make method ids

Retrieve a paginated list of quote material with make method ids. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/quoteMaterialWithMakeMethodId
curl --request GET \
  --url 'https://rest.carbon.ms/quoteMaterialWithMakeMethodId?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "quoteMaterialMakeMethodId": "xyz789",
    "quoteId": "xyz789",
    "quoteLineId": "xyz789",
    "itemId": "xyz789",
    "itemType": "string",
    "methodType": "string",
    "order": 0
  }
]
GET/quoteMaterialWithMakeMethodId

Retrieve a quote material with make method id

Fetch a single quote material with make method id by filtering on `id`.

Query parameters

idstring

Match on the quote material with make method id's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/quoteMaterialWithMakeMethodId
curl --request GET \
  --url 'https://rest.carbon.ms/quoteMaterialWithMakeMethodId?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "quoteMaterialMakeMethodId": "xyz789",
  "quoteId": "xyz789",
  "quoteLineId": "xyz789",
  "itemId": "xyz789",
  "itemType": "string",
  "methodType": "string",
  "order": 0
}